Package in.cdac.medinfo.csnotk.csnolib.commons

## Class DBSchemaMapping

- java.lang.Object
- - in.cdac.medinfo.csnotk.csnolib.commons.DBSchemaMapping

-     public class DBSchemaMapping
      extends java.lang.Object

  Database mappings

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `CONCEPT` |
    `static java.lang.String` | `CONCEPT_ACTIVE` |
    `static java.lang.String` | `CONCEPT_DEFINITION_STATUS` |
    `static java.lang.String` | `CONCEPT_DEFINITION_STATUS_ID` |
    `static java.lang.String` | `CONCEPT_EFFECTIVE_TIME` |
    `static java.lang.String` | `CONCEPT_ID` |
    `static java.lang.String` | `CONCEPT_MODULE_ID` |
    `static java.lang.String` | `CONCRETE_RELATIONSHIP` |
    `static java.lang.String` | `CONCRETE_RELATIONSHIP_ACTIVE` |
    `static java.lang.String` | `CONCRETE_RELATIONSHIP_CHARACTERISTIC_TYPE_ID` |
    `static java.lang.String` | `CONCRETE_RELATIONSHIP_CURRENTID` |
    `static java.lang.String` | `CONCRETE_RELATIONSHIP_DESTINATIONVALUE` |
    `static java.lang.String` | `CONCRETE_RELATIONSHIP_EFFECTIVE_TIME` |
    `static java.lang.String` | `CONCRETE_RELATIONSHIP_ID` |
    `static java.lang.String` | `CONCRETE_RELATIONSHIP_MODIFIER_ID` |
    `static java.lang.String` | `CONCRETE_RELATIONSHIP_MODULE_ID` |
    `static java.lang.String` | `CONCRETE_RELATIONSHIP_RELATIONSHIP_GROUP` |
    `static java.lang.String` | `CONCRETE_RELATIONSHIP_SOURCE_ID` |
    `static java.lang.String` | `CONCRETE_RELATIONSHIP_TYPEID` |
    `static java.lang.String` | `cREFSET` |
    `static java.lang.String` | `cREFSET_ACTIVE` |
    `static java.lang.String` | `cREFSET_EFFECTIVE_TIME` |
    `static java.lang.String` | `cREFSET_ID` |
    `static java.lang.String` | `cREFSET_MODULE_ID` |
    `static java.lang.String` | `cREFSET_REFERENCED_COMPONENT_ID` |
    `static java.lang.String` | `cREFSET_REFSET_ID` |
    `static java.lang.String` | `cREFSET_TARGETID` |
    `static java.lang.String` | `DESCRIPTION` |
    `static java.lang.String` | `DESCRIPTION_ACTIVE` |
    `static java.lang.String` | `DESCRIPTION_CASE_SIGNIFICANCE_ID` |
    `static java.lang.String` | `DESCRIPTION_CONCEPT_ID` |
    `static java.lang.String` | `DESCRIPTION_EFFECTIVE_TIME` |
    `static java.lang.String` | `DESCRIPTION_ID` |
    `static java.lang.String` | `DESCRIPTION_LANGUAGE_CODE` |
    `static java.lang.String` | `DESCRIPTION_MODULE_ID` |
    `static java.lang.String` | `DESCRIPTION_TERM` |
    `static java.lang.String` | `DESCRIPTION_TEXTDEFINITION_CURRENTID` |
    `static java.lang.String` | `DESCRIPTION_TYPE_ID` |
    `static java.lang.String` | `IDENTIFIER` |
    `static java.lang.String` | `IDENTIFIER_ACTIVE` |
    `static java.lang.String` | `IDENTIFIER_ALTERNATE_IDENTIFIER` |
    `static java.lang.String` | `IDENTIFIER_EFFECTIVE_TIME` |
    `static java.lang.String` | `IDENTIFIER_IDENTIFIER_SCHEME_ID` |
    `static java.lang.String` | `IDENTIFIER_MODULE_ID` |
    `static java.lang.String` | `IDENTIFIER_REFERENCED_COMPONENT_ID` |
    `static java.lang.String` | `REFSET` |
    `static java.lang.String` | `REFSET_ACTIVE` |
    `static java.lang.String` | `REFSET_EFFECTIVE_TIME` |
    `static java.lang.String` | `REFSET_ID` |
    `static java.lang.String` | `REFSET_MODULE_ID` |
    `static java.lang.String` | `REFSET_REFERENCED_COMPONENT_ID` |
    `static java.lang.String` | `REFSET_REFSET_ID` |
    `static java.lang.String` | `REFSETLANG` |
    `static java.lang.String` | `REFSETLANG_ACCEPTABILITY_ID` |
    `static java.lang.String` | `REFSETLANG_ACTIVE` |
    `static java.lang.String` | `REFSETLANG_EFFECTIVE_TIME` |
    `static java.lang.String` | `REFSETLANG_ID` |
    `static java.lang.String` | `REFSETLANG_MODULE_ID` |
    `static java.lang.String` | `REFSETLANG_REFERENCED_COMPONENT_ID` |
    `static java.lang.String` | `REFSETLANG_REFSET_ID` |
    `static java.lang.String` | `RELATIONSHIP` |
    `static java.lang.String` | `RELATIONSHIP_ACTIVE` |
    `static java.lang.String` | `RELATIONSHIP_CHARACTERISTIC_TYPE_ID` |
    `static java.lang.String` | `RELATIONSHIP_CURRENTID` |
    `static java.lang.String` | `RELATIONSHIP_DESTINATION_ID` |
    `static java.lang.String` | `RELATIONSHIP_EFFECTIVE_TIME` |
    `static java.lang.String` | `RELATIONSHIP_ID` |
    `static java.lang.String` | `RELATIONSHIP_MODIFIER_ID` |
    `static java.lang.String` | `RELATIONSHIP_MODULE_ID` |
    `static java.lang.String` | `RELATIONSHIP_RELATIONSHIP_GROUP` |
    `static java.lang.String` | `RELATIONSHIP_SOURCE_ID` |
    `static java.lang.String` | `RELATIONSHIP_TYPEID` |
    `static java.lang.String` | `SIMPLEMAP` |
    `static java.lang.String` | `SIMPLEMAP_ACTIVE` |
    `static java.lang.String` | `SIMPLEMAP_EFFECTIVE_TIME` |
    `static java.lang.String` | `SIMPLEMAP_ID` |
    `static java.lang.String` | `SIMPLEMAP_MAP_TARGET` |
    `static java.lang.String` | `SIMPLEMAP_MODULE_ID` |
    `static java.lang.String` | `SIMPLEMAP_REFERENCED_COMPONENT_ID` |
    `static java.lang.String` | `SIMPLEMAP_REFSET_ID` |
    `static java.lang.String` | `TEXTDEFINITION` |
    `static java.lang.String` | `TEXTDEFINITION_ACTIVE` |
    `static java.lang.String` | `TEXTDEFINITION_CASE_SIGNIFICANCE_ID` |
    `static java.lang.String` | `TEXTDEFINITION_CONCEPTID` |
    `static java.lang.String` | `TEXTDEFINITION_EFFECTIVE_TIME` |
    `static java.lang.String` | `TEXTDEFINITION_ID` |
    `static java.lang.String` | `TEXTDEFINITION_LANGUAGE_CODE` |
    `static java.lang.String` | `TEXTDEFINITION_MODULEID` |
    `static java.lang.String` | `TEXTDEFINITION_TERM` |
    `static java.lang.String` | `TEXTDEFINITION_TYPE_ID` |
    `static java.lang.String` | `TRANSCLOSURE` |
    `static java.lang.String` | `TRANSCLOSURE_CHILD_ID` |
    `static java.lang.String` | `TRANSCLOSURE_CURRENTID` |
    `static java.lang.String` | `TRANSCLOSURE_PARENT_ID` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DBSchemaMapping()` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CONCEPT

          public static final java.lang.String CONCEPT

      See Also:
        Constant Field Values

    - #### RELATIONSHIP

          public static final java.lang.String RELATIONSHIP

      See Also:
        Constant Field Values

    - #### DESCRIPTION

          public static final java.lang.String DESCRIPTION

      See Also:
        Constant Field Values

    - #### IDENTIFIER

          public static final java.lang.String IDENTIFIER

      See Also:
        Constant Field Values

    - #### REFSETLANG

          public static final java.lang.String REFSETLANG

      See Also:
        Constant Field Values

    - #### TRANSCLOSURE

          public static final java.lang.String TRANSCLOSURE

      See Also:
        Constant Field Values

    - #### REFSET

          public static final java.lang.String REFSET

      See Also:
        Constant Field Values

    - #### cREFSET

          public static final java.lang.String cREFSET

      See Also:
        Constant Field Values

    - #### TEXTDEFINITION

          public static final java.lang.String TEXTDEFINITION

      See Also:
        Constant Field Values

    - #### SIMPLEMAP

          public static final java.lang.String SIMPLEMAP

      See Also:
        Constant Field Values

    - #### CONCRETE_RELATIONSHIP

          public static final java.lang.String CONCRETE_RELATIONSHIP

      See Also:
        Constant Field Values

    - #### DESCRIPTION_TEXTDEFINITION_CURRENTID

          public static java.lang.String DESCRIPTION_TEXTDEFINITION_CURRENTID

    - #### RELATIONSHIP_CURRENTID

          public static java.lang.String RELATIONSHIP_CURRENTID

    - #### CONCRETE_RELATIONSHIP_CURRENTID

          public static java.lang.String CONCRETE_RELATIONSHIP_CURRENTID

    - #### TRANSCLOSURE_CURRENTID

          public static java.lang.String TRANSCLOSURE_CURRENTID

    - #### CONCEPT_ID

          public static final java.lang.String CONCEPT_ID

      See Also:
        Constant Field Values

    - #### CONCEPT_EFFECTIVE_TIME

          public static final java.lang.String CONCEPT_EFFECTIVE_TIME

      See Also:
        Constant Field Values

    - #### CONCEPT_ACTIVE

          public static final java.lang.String CONCEPT_ACTIVE

      See Also:
        Constant Field Values

    - #### CONCEPT_MODULE_ID

          public static final java.lang.String CONCEPT_MODULE_ID

      See Also:
        Constant Field Values

    - #### CONCEPT_DEFINITION_STATUS_ID

          public static final java.lang.String CONCEPT_DEFINITION_STATUS_ID

      See Also:
        Constant Field Values

    - #### CONCEPT_DEFINITION_STATUS

          public static final java.lang.String CONCEPT_DEFINITION_STATUS

      See Also:
        Constant Field Values

    - #### RELATIONSHIP_ID

          public static final java.lang.String RELATIONSHIP_ID

      See Also:
        Constant Field Values

    - #### RELATIONSHIP_EFFECTIVE_TIME

          public static final java.lang.String RELATIONSHIP_EFFECTIVE_TIME

      See Also:
        Constant Field Values

    - #### RELATIONSHIP_ACTIVE

          public static final java.lang.String RELATIONSHIP_ACTIVE

      See Also:
        Constant Field Values

    - #### RELATIONSHIP_SOURCE_ID

          public static final java.lang.String RELATIONSHIP_SOURCE_ID

      See Also:
        Constant Field Values

    - #### RELATIONSHIP_DESTINATION_ID

          public static final java.lang.String RELATIONSHIP_DESTINATION_ID

      See Also:
        Constant Field Values

    - #### RELATIONSHIP_RELATIONSHIP_GROUP

          public static final java.lang.String RELATIONSHIP_RELATIONSHIP_GROUP

      See Also:
        Constant Field Values

    - #### RELATIONSHIP_TYPEID

          public static final java.lang.String RELATIONSHIP_TYPEID

      See Also:
        Constant Field Values

    - #### RELATIONSHIP_CHARACTERISTIC_TYPE_ID

          public static final java.lang.String RELATIONSHIP_CHARACTERISTIC_TYPE_ID

      See Also:
        Constant Field Values

    - #### RELATIONSHIP_MODIFIER_ID

          public static final java.lang.String RELATIONSHIP_MODIFIER_ID

      See Also:
        Constant Field Values

    - #### RELATIONSHIP_MODULE_ID

          public static final java.lang.String RELATIONSHIP_MODULE_ID

      See Also:
        Constant Field Values

    - #### DESCRIPTION_ID

          public static final java.lang.String DESCRIPTION_ID

      See Also:
        Constant Field Values

    - #### DESCRIPTION_EFFECTIVE_TIME

          public static final java.lang.String DESCRIPTION_EFFECTIVE_TIME

      See Also:
        Constant Field Values

    - #### DESCRIPTION_ACTIVE

          public static final java.lang.String DESCRIPTION_ACTIVE

      See Also:
        Constant Field Values

    - #### DESCRIPTION_MODULE_ID

          public static final java.lang.String DESCRIPTION_MODULE_ID

      See Also:
        Constant Field Values

    - #### DESCRIPTION_CONCEPT_ID

          public static final java.lang.String DESCRIPTION_CONCEPT_ID

      See Also:
        Constant Field Values

    - #### DESCRIPTION_LANGUAGE_CODE

          public static final java.lang.String DESCRIPTION_LANGUAGE_CODE

      See Also:
        Constant Field Values

    - #### DESCRIPTION_TYPE_ID

          public static final java.lang.String DESCRIPTION_TYPE_ID

      See Also:
        Constant Field Values

    - #### DESCRIPTION_TERM

          public static final java.lang.String DESCRIPTION_TERM

      See Also:
        Constant Field Values

    - #### DESCRIPTION_CASE_SIGNIFICANCE_ID

          public static final java.lang.String DESCRIPTION_CASE_SIGNIFICANCE_ID

      See Also:
        Constant Field Values

    - #### TEXTDEFINITION_ID

          public static final java.lang.String TEXTDEFINITION_ID

      See Also:
        Constant Field Values

    - #### TEXTDEFINITION_EFFECTIVE_TIME

          public static final java.lang.String TEXTDEFINITION_EFFECTIVE_TIME

      See Also:
        Constant Field Values

    - #### TEXTDEFINITION_ACTIVE

          public static final java.lang.String TEXTDEFINITION_ACTIVE

      See Also:
        Constant Field Values

    - #### TEXTDEFINITION_MODULEID

          public static final java.lang.String TEXTDEFINITION_MODULEID

      See Also:
        Constant Field Values

    - #### TEXTDEFINITION_CONCEPTID

          public static final java.lang.String TEXTDEFINITION_CONCEPTID

      See Also:
        Constant Field Values

    - #### TEXTDEFINITION_LANGUAGE_CODE

          public static final java.lang.String TEXTDEFINITION_LANGUAGE_CODE

      See Also:
        Constant Field Values

    - #### TEXTDEFINITION_TYPE_ID

          public static final java.lang.String TEXTDEFINITION_TYPE_ID

      See Also:
        Constant Field Values

    - #### TEXTDEFINITION_TERM

          public static final java.lang.String TEXTDEFINITION_TERM

      See Also:
        Constant Field Values

    - #### TEXTDEFINITION_CASE_SIGNIFICANCE_ID

          public static final java.lang.String TEXTDEFINITION_CASE_SIGNIFICANCE_ID

      See Also:
        Constant Field Values

    - #### IDENTIFIER_IDENTIFIER_SCHEME_ID

          public static final java.lang.String IDENTIFIER_IDENTIFIER_SCHEME_ID

      See Also:
        Constant Field Values

    - #### IDENTIFIER_ALTERNATE_IDENTIFIER

          public static final java.lang.String IDENTIFIER_ALTERNATE_IDENTIFIER

      See Also:
        Constant Field Values

    - #### IDENTIFIER_EFFECTIVE_TIME

          public static final java.lang.String IDENTIFIER_EFFECTIVE_TIME

      See Also:
        Constant Field Values

    - #### IDENTIFIER_ACTIVE

          public static final java.lang.String IDENTIFIER_ACTIVE

      See Also:
        Constant Field Values

    - #### IDENTIFIER_MODULE_ID

          public static final java.lang.String IDENTIFIER_MODULE_ID

      See Also:
        Constant Field Values

    - #### IDENTIFIER_REFERENCED_COMPONENT_ID

          public static final java.lang.String IDENTIFIER_REFERENCED_COMPONENT_ID

      See Also:
        Constant Field Values

    - #### REFSETLANG_ID

          public static final java.lang.String REFSETLANG_ID

      See Also:
        Constant Field Values

    - #### REFSETLANG_EFFECTIVE_TIME

          public static final java.lang.String REFSETLANG_EFFECTIVE_TIME

      See Also:
        Constant Field Values

    - #### REFSETLANG_ACTIVE

          public static final java.lang.String REFSETLANG_ACTIVE

      See Also:
        Constant Field Values

    - #### REFSETLANG_MODULE_ID

          public static final java.lang.String REFSETLANG_MODULE_ID

      See Also:
        Constant Field Values

    - #### REFSETLANG_REFSET_ID

          public static final java.lang.String REFSETLANG_REFSET_ID

      See Also:
        Constant Field Values

    - #### REFSETLANG_REFERENCED_COMPONENT_ID

          public static final java.lang.String REFSETLANG_REFERENCED_COMPONENT_ID

      See Also:
        Constant Field Values

    - #### REFSETLANG_ACCEPTABILITY_ID

          public static final java.lang.String REFSETLANG_ACCEPTABILITY_ID

      See Also:
        Constant Field Values

    - #### TRANSCLOSURE_PARENT_ID

          public static final java.lang.String TRANSCLOSURE_PARENT_ID

      See Also:
        Constant Field Values

    - #### TRANSCLOSURE_CHILD_ID

          public static final java.lang.String TRANSCLOSURE_CHILD_ID

      See Also:
        Constant Field Values

    - #### REFSET_ID

          public static final java.lang.String REFSET_ID

      See Also:
        Constant Field Values

    - #### REFSET_EFFECTIVE_TIME

          public static final java.lang.String REFSET_EFFECTIVE_TIME

      See Also:
        Constant Field Values

    - #### REFSET_ACTIVE

          public static final java.lang.String REFSET_ACTIVE

      See Also:
        Constant Field Values

    - #### REFSET_MODULE_ID

          public static final java.lang.String REFSET_MODULE_ID

      See Also:
        Constant Field Values

    - #### REFSET_REFSET_ID

          public static final java.lang.String REFSET_REFSET_ID

      See Also:
        Constant Field Values

    - #### REFSET_REFERENCED_COMPONENT_ID

          public static final java.lang.String REFSET_REFERENCED_COMPONENT_ID

      See Also:
        Constant Field Values

    - #### SIMPLEMAP_ID

          public static final java.lang.String SIMPLEMAP_ID

      See Also:
        Constant Field Values

    - #### SIMPLEMAP_EFFECTIVE_TIME

          public static final java.lang.String SIMPLEMAP_EFFECTIVE_TIME

      See Also:
        Constant Field Values

    - #### SIMPLEMAP_ACTIVE

          public static final java.lang.String SIMPLEMAP_ACTIVE

      See Also:
        Constant Field Values

    - #### SIMPLEMAP_MODULE_ID

          public static final java.lang.String SIMPLEMAP_MODULE_ID

      See Also:
        Constant Field Values

    - #### SIMPLEMAP_REFSET_ID

          public static final java.lang.String SIMPLEMAP_REFSET_ID

      See Also:
        Constant Field Values

    - #### SIMPLEMAP_REFERENCED_COMPONENT_ID

          public static final java.lang.String SIMPLEMAP_REFERENCED_COMPONENT_ID

      See Also:
        Constant Field Values

    - #### SIMPLEMAP_MAP_TARGET

          public static final java.lang.String SIMPLEMAP_MAP_TARGET

      See Also:
        Constant Field Values

    - #### cREFSET_ID

          public static final java.lang.String cREFSET_ID

      See Also:
        Constant Field Values

    - #### cREFSET_EFFECTIVE_TIME

          public static final java.lang.String cREFSET_EFFECTIVE_TIME

      See Also:
        Constant Field Values

    - #### cREFSET_ACTIVE

          public static final java.lang.String cREFSET_ACTIVE

      See Also:
        Constant Field Values

    - #### cREFSET_MODULE_ID

          public static final java.lang.String cREFSET_MODULE_ID

      See Also:
        Constant Field Values

    - #### cREFSET_REFSET_ID

          public static final java.lang.String cREFSET_REFSET_ID

      See Also:
        Constant Field Values

    - #### cREFSET_REFERENCED_COMPONENT_ID

          public static final java.lang.String cREFSET_REFERENCED_COMPONENT_ID

      See Also:
        Constant Field Values

    - #### cREFSET_TARGETID

          public static final java.lang.String cREFSET_TARGETID

      See Also:
        Constant Field Values

    - #### CONCRETE_RELATIONSHIP_ID

          public static final java.lang.String CONCRETE_RELATIONSHIP_ID

      See Also:
        Constant Field Values

    - #### CONCRETE_RELATIONSHIP_EFFECTIVE_TIME

          public static final java.lang.String CONCRETE_RELATIONSHIP_EFFECTIVE_TIME

      See Also:
        Constant Field Values

    - #### CONCRETE_RELATIONSHIP_ACTIVE

          public static final java.lang.String CONCRETE_RELATIONSHIP_ACTIVE

      See Also:
        Constant Field Values

    - #### CONCRETE_RELATIONSHIP_SOURCE_ID

          public static final java.lang.String CONCRETE_RELATIONSHIP_SOURCE_ID

      See Also:
        Constant Field Values

    - #### CONCRETE_RELATIONSHIP_DESTINATIONVALUE

          public static final java.lang.String CONCRETE_RELATIONSHIP_DESTINATIONVALUE

      See Also:
        Constant Field Values

    - #### CONCRETE_RELATIONSHIP_RELATIONSHIP_GROUP

          public static final java.lang.String CONCRETE_RELATIONSHIP_RELATIONSHIP_GROUP

      See Also:
        Constant Field Values

    - #### CONCRETE_RELATIONSHIP_TYPEID

          public static final java.lang.String CONCRETE_RELATIONSHIP_TYPEID

      See Also:
        Constant Field Values

    - #### CONCRETE_RELATIONSHIP_CHARACTERISTIC_TYPE_ID

          public static final java.lang.String CONCRETE_RELATIONSHIP_CHARACTERISTIC_TYPE_ID

      See Also:
        Constant Field Values

    - #### CONCRETE_RELATIONSHIP_MODIFIER_ID

          public static final java.lang.String CONCRETE_RELATIONSHIP_MODIFIER_ID

      See Also:
        Constant Field Values

    - #### CONCRETE_RELATIONSHIP_MODULE_ID

          public static final java.lang.String CONCRETE_RELATIONSHIP_MODULE_ID

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DBSchemaMapping

          public DBSchemaMapping()